﻿using System;
using System.Collections.Generic;
using System.Data.Entity.Migrations.Model;
using System.Data.Entity.SqlServer;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EF6.Data.CodeFirst
{
	public class CodeFirstMigrationGenerator : SqlServerMigrationSqlGenerator
	{
		protected override void Generate(MigrationOperation migrationOperation)
		{
			var operation = migrationOperation as CreateUserOperation;
			if (operation != null)
			{
				using (var writer = Writer())
				{
					writer.WriteLine("CREATE USER {0} FOR LOGIN {0} WITH DEFAULT_SCHEMA=dbo", operation.User);
					Statement(writer);
				}
			}
		}
	}
}
