﻿using System;
using System.Collections.Generic;
using System.Data.Entity.Migrations.Model;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EF6.Data.CodeFirst
{
	public class CreateUserOperation : MigrationOperation
	{
		public CreateUserOperation(string user)
			: base(null)
		{
			User = user;
		}

		public string User { get; private set; }

		public override bool IsDestructiveChange
		{
			get { return false; }
		}
	}
}
